-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--






@README@
-- This string was intentionally added to the the SQL file
-- as this script can not be executed directly.  The
-- Database Design Tool should be used to generated versions
-- of this script which can be executed successfully.  See
-- the Information Center for more information on using the
-- Database Design Tool
@README@









/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Thunderdome
 * To Version: Teamworks 7.0 SP1
 */

    


		
/* START of phase UpgradeInitialDataToTeamworks7sp1 */
    
									
      						INSERT INTO LSW_LOCK("LOCK_ID", "DESCRIPTION") VALUES('DEPLOYMENT_PKG_LOCK_KEY', 'Lock required for add a deployment package to lsw_deployment_package ')      
						
GO

						
      						update LSW_TIME_SCHEDULE set EXCLUDE_HOLIDAY='T' where SCHEDULE_ID in (1 , 3 , 4)      
						
GO


							INSERT INTO LSW_USR("USER_ID", "USER_NAME", "PASSWD", "FULL_NAME", "IS_DISABLED", "LAST_LOGIN_DATETIME", "OLD_PASSWORDS") 
								VALUES(7, 'tw_runtime_server', 'bx0QhdSSiBX5c', 'Internal Runtime user', 'F', '', 'bx0QhdSSiBX5c')							      						      
						
GO


							INSERT INTO LSW_USR_XREF("USER_ID", "USER_NAME") VALUES(7, 'tw_runtime_server')							      						      
						
GO


		
/* END of phase UpgradeInitialDataToTeamworks7sp1 */

		
/* START of phase UpgradeProcSchemaToTeamworks7SP1 */
    
			DROP TABLE LSW_BLUEPRINT_FOLDER_ATTRS
GO



			
	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_DEPLOYMENT_PACKAGE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_DEPLOYMENT_PACKAGE(
"SNAPSHOT_ID" CHAR(36),
"SERVER_ID" CHAR(36) NOT NULL ENABLE,
"DEPLOYMENT_PACKAGE" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DPLPKG_FK1' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DEPLOYMENT_PACKAGE ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DPLPKG_FK2' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DEPLOYMENT_PACKAGE ADD CONSTRAINT LSWC_DPLPKG_FK2
	FOREIGN KEY("SERVER_ID")
	REFERENCES LSW_SERVER("SERVER_ID")
	';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_DPLPKG_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_DPLPKG_UQ ON LSW_DEPLOYMENT_PACKAGE("SNAPSHOT_ID","SERVER_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_BLUEPRINT_SUBSCRIPTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_BLUEPRINT_SUBSCRIPTION(
"BLUEPRINT_SUBSCRIPTION_ID" CHAR(36) NOT NULL ENABLE,
"PROCESS_ID" NVARCHAR2(25) NOT NULL ENABLE,
"BLUEPRINT_ID" NVARCHAR2(25) NOT NULL ENABLE,
"ROOT_BPD_ID" CHAR(36) NOT NULL ENABLE,
"ACCOUNT" NVARCHAR2(255),
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_BPS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_BPS_PK ON LSW_BLUEPRINT_SUBSCRIPTION("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_BPS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT LSWC_BPS_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_BPS_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_BPS_PK3 ON LSW_BLUEPRINT_SUBSCRIPTION(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


                            DROP INDEX LSWC_GGXXREF_NU1
                        
GO





BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_GGMXREF_NU1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_GGMXREF_NU1 ON LSW_GRP_GRP_MEM_XREF("CONTAINER_GROUP_ID")';	
   	END IF ;
  END ;
END ;    	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_GGXXREF_NU1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_GGXXREF_NU1 ON LSW_GRP_GRP_MEM_EXPLODED_XREF("GROUP_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_PROCESS') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_PROCESS MODIFY "NAME" NVARCHAR2(255)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_PROCESS MODIFY "NAME" NVARCHAR2(255)';
	END IF ;
  END ;
END ;	

GO


		
/* END of phase UpgradeProcSchemaToTeamworks7SP1 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.0 SP1
 * To Version: Teamworks 7.1.0
 */

    

		
/* START of phase ProcUpgradeTo710 */
    
			
BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR') AND UPPER(column_name)= UPPER('PASSWD');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR MODIFY "PASSWD" NVARCHAR2(250)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR MODIFY "PASSWD" NVARCHAR2(250)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR') AND UPPER(column_name)= UPPER('OLD_PASSWORDS');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR MODIFY "OLD_PASSWORDS" NVARCHAR2(2000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR MODIFY "OLD_PASSWORDS" NVARCHAR2(2000)';
	END IF ;
  END ;
END ;	

GO


                     DROP INDEX LSWC_IC_NUQ3
                 
GO

ALTER TABLE LSW_IC DROP COLUMN NESTED_IC_ID
GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_SERVER') AND UPPER(column_name)= UPPER('PROVIDER_URL');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER MODIFY "PROVIDER_URL" NVARCHAR2(500)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER MODIFY "PROVIDER_URL" NVARCHAR2(500)';
	END IF ;
  END ;
END ;	

GO


		
/* END of phase ProcUpgradeTo710 */


		
/* START of phase UpdateTwRuntimeServerPassword */
    
									
      						update LSW_USR set PASSWD='twGsuLIVc07yY' where USER_NAME='tw_runtime_server'      
						
GO


		
/* END of phase UpdateTwRuntimeServerPassword */


	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.1.0
 * To Version: Teamworks 7.1.0.1
 */

    

		
/* START of phase ProcUpgradeTo7101 */
    
			
ALTER  TABLE LSW_SERVER 
ADD (
"INSTALLER_GROUP_ID" NUMBER(12,0)
)
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_INSTL_GRP_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER ADD CONSTRAINT LSWC_INSTL_GRP_FK
	FOREIGN KEY("INSTALLER_GROUP_ID")
	REFERENCES LSW_USR_GRP_XREF("GROUP_ID")
	';
   	END IF ;
  END ;
END ;	

GO


		
/* END of phase ProcUpgradeTo7101 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.1.0
 * To Version: Teamworks 7.2.0
 */

    

		
/* START of phase ProcUpgradeTo720 */
    
			
BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_PROCESS_VARIABLE') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_PROCESS_VARIABLE MODIFY "NAME" NVARCHAR2(255)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_PROCESS_VARIABLE MODIFY "NAME" NVARCHAR2(255)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_EXTACT_PARAMETER') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_EXTACT_PARAMETER MODIFY "NAME" NVARCHAR2(255)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_EXTACT_PARAMETER MODIFY "NAME" NVARCHAR2(255)';
	END IF ;
  END ;
END ;	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX7_PO_VERSIONS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX7_PO_VERSIONS ON LSW_PO_VERSIONS("BRANCH_ID","PO_VERSION_ID","VERSION_SUMMARY_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_VARIABLES') AND UPPER(column_name)= UPPER('VARIABLE_TYPE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "VARIABLE_TYPE" NVARCHAR2(64)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "VARIABLE_TYPE" NVARCHAR2(64)';
	END IF ;
  END ;
END ;	

GO


ALTER  TABLE LSW_USR_XREF 
ADD (
"FULL_NAME" NVARCHAR2(255)
)
GO


							BEGIN
							UPDATE LSW_USR_XREF x SET x.FULL_NAME=(SELECT u.FULL_NAME FROM LSW_USR
							u WHERE u.USER_NAME=x.USER_NAME);
							UPDATE LSW_USR_XREF x SET x.FULL_NAME=x.USER_NAME WHERE x.FULL_NAME IS
							NULL AND NOT EXISTS (SELECT 1 FROM LSW_USR u WHERE
							u.USER_NAME=x.USER_NAME);
							COMMIT;
							END;
						
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_CA_TEMPLATE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_CA_TEMPLATE(
"ID" NUMBER(12,0) NOT NULL ENABLE,
"NAME" NVARCHAR2(128) NOT NULL ENABLE,
"BPD_GUID" NVARCHAR2(128) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_CA_TEMPLATE_DATA') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_CA_TEMPLATE_DATA(
"ID" NUMBER(12,0) NOT NULL ENABLE,
"CA_GUID" NVARCHAR2(128) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TEMPLATE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_TEMPLATE_PK ON LSW_CA_TEMPLATE("ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_TEMPLATE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_CA_TEMPLATE ADD CONSTRAINT LSWC_TEMPLATE_PK
    PRIMARY KEY("ID")';		 
   	END IF ;
  END ;
END ;        

GO





BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_TEMPLATE_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_CA_TEMPLATE_DATA ADD CONSTRAINT LSWC_TEMPLATE_FK
	FOREIGN KEY("ID")
	REFERENCES LSW_CA_TEMPLATE("ID")
	';
   	END IF ;
  END ;
END ;	

GO


ALTER  TABLE LSW_BPD 
ADD (
"IS_CRITICAL_PATH_ENABLED" NCHAR(1) DEFAULT 'T' NOT NULL ENABLE
)
GO




							ALTER TABLE LSW_RUNTIME_ERROR ADD (ERROR_M NCLOB)
							GO
							UPDATE LSW_RUNTIME_ERROR SET ERROR_M = ERROR_MESSAGE
							GO
							ALTER TABLE
							LSW_RUNTIME_ERROR DROP COLUMN ERROR_MESSAGE
							GO
							ALTER TABLE LSW_RUNTIME_ERROR RENAME COLUMN ERROR_M TO ERROR_MESSAGE
						
GO


DROP TABLE LSW_TASK_CUSTOM
GO


ALTER  TABLE LSW_UCA
DROP (
"LAST_RUN_DATETIME" ,
"NEXT_RUN_DATETIME" 
)
GO


ALTER  TABLE LSW_COACH 
ADD (
"XSL_REF" CHAR(36)
)
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_PROJECT_DEFAULTS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_PROJECT_DEFAULTS(
"PROJECT_DEFAULTS_ID" CHAR(36) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"DEFAULT_XSL_REF" CHAR(36),
"DEFAULT_CSS_REF" CHAR(36),
"DEFAULT_JS_REFS" NVARCHAR2(2000)
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_PRJ_DFTS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_PRJ_DFTS_PK ON LSW_PROJECT_DEFAULTS("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_PRJ_DFTS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_PROJECT_DEFAULTS ADD CONSTRAINT LSWC_PRJ_DFTS_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_PRJ_DFTS_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_PRJ_DFTS_PK3 ON LSW_PROJECT_DEFAULTS(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_ILOG_CONNECTOR') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_ILOG_CONNECTOR(
"ILOG_CONNECTOR_ID" CHAR(36) NOT NULL ENABLE,
"ATTACHED_PROCESS_REF" CHAR(36),
"DEFINITION" BLOB NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ILNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_ILNTR_PK ON LSW_ILOG_CONNECTOR("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_ILNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_ILOG_CONNECTOR ADD CONSTRAINT LSWC_ILNTR_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ILNTR_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_ILNTR_PK3 ON LSW_ILOG_CONNECTOR(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_EPV_VAR_VALUE
DROP (
"EPV_VAR_REF" 
)
GO


ALTER  TABLE LSW_ENV_VAR_VAL
DROP (
"ENV_VAR_REF" 
)
GO


ALTER  TABLE LSW_ENV_VAR_VAL 
ADD (
"BRANCH_ID" CHAR(36),
"TIP" NCHAR(1) DEFAULT 'F'
)
GO




BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_DYNAMIC_GROUP_CONSTRAINT') AND UPPER(column_name)= UPPER('VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT MODIFY "VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT MODIFY "VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_VARIABLES') AND UPPER(column_name)= UPPER('STRING_VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "STRING_VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "STRING_VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_DOCUMENTS') AND UPPER(column_name)= UPPER('FILENAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_DOCUMENTS MODIFY "FILENAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_DOCUMENTS MODIFY "FILENAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_DOC_PROPS') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS MODIFY "NAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS MODIFY "NAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_DOC_PROPS') AND UPPER(column_name)= UPPER('VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS MODIFY "VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOC_PROPS MODIFY "VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_DOCUMENTS') AND UPPER(column_name)= UPPER('FILENAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOCUMENTS MODIFY "FILENAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_DOCUMENTS MODIFY "FILENAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR_ATTR') AND UPPER(column_name)= UPPER('ATTR_VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_ATTR MODIFY "ATTR_VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_ATTR MODIFY "ATTR_VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_PARTICIPANT') AND UPPER(column_name)= UPPER('PARTICIPANT_DEFINITION');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_PARTICIPANT MODIFY "PARTICIPANT_DEFINITION" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_PARTICIPANT MODIFY "PARTICIPANT_DEFINITION" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_EM_TASK') AND UPPER(column_name)= UPPER('TASK_ARGUMENTS_STR');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_EM_TASK MODIFY "TASK_ARGUMENTS_STR" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_EM_TASK MODIFY "TASK_ARGUMENTS_STR" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_REPORT_DS_LAYOUT_LINK') AND UPPER(column_name)= UPPER('DEFAULT_VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_REPORT_DS_LAYOUT_LINK MODIFY "DEFAULT_VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_REPORT_DS_LAYOUT_LINK MODIFY "DEFAULT_VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_REPORT_VARIABLES') AND UPPER(column_name)= UPPER('VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_REPORT_VARIABLES MODIFY "VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_REPORT_VARIABLES MODIFY "VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BREAKPOINT') AND UPPER(column_name)= UPPER('CONDITION');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BREAKPOINT MODIFY "CONDITION" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BREAKPOINT MODIFY "CONDITION" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_LAUNCHER') AND UPPER(column_name)= UPPER('CMD');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_LAUNCHER MODIFY "CMD" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_LAUNCHER MODIFY "CMD" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_IC_OUTPUT_PROPERTY') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_OUTPUT_PROPERTY MODIFY "NAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_OUTPUT_PROPERTY MODIFY "NAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_IC_OUTPUT_PROPERTY') AND UPPER(column_name)= UPPER('KEY_VAL');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_OUTPUT_PROPERTY MODIFY "KEY_VAL" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_OUTPUT_PROPERTY MODIFY "KEY_VAL" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_UCA_PARM') AND UPPER(column_name)= UPPER('PARM_VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_UCA_PARM MODIFY "PARM_VALUE" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_UCA_PARM MODIFY "PARM_VALUE" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_IC_INPUT_PROPERTY') AND UPPER(column_name)= UPPER('KEY_VAL');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_INPUT_PROPERTY MODIFY "KEY_VAL" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_INPUT_PROPERTY MODIFY "KEY_VAL" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_IC_INPUT_PROPERTY') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_INPUT_PROPERTY MODIFY "NAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_IC_INPUT_PROPERTY MODIFY "NAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_SWITCH_CONDITION') AND UPPER(column_name)= UPPER('CONDITION');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SWITCH_CONDITION MODIFY "CONDITION" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_SWITCH_CONDITION MODIFY "CONDITION" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_FAVORITE') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_FAVORITE MODIFY "NAME" NVARCHAR2(1000)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_FAVORITE MODIFY "NAME" NVARCHAR2(1000)';
	END IF ;
  END ;
END ;	

GO


							ALTER TABLE LSW_EM_TASK_HISTORY ADD (ERROR_MESSAGE_TMP
							NCLOB)
							GO
							UPDATE LSW_EM_TASK_HISTORY SET ERROR_MESSAGE_TMP =
							ERROR_MESSAGE
							GO
							ALTER TABLE LSW_EM_TASK_HISTORY DROP COLUMN
							ERROR_MESSAGE
							GO
							ALTER TABLE LSW_EM_TASK_HISTORY RENAME COLUMN ERROR_MESSAGE_TMP TO
							ERROR_MESSAGE
						
GO


							ALTER TABLE LSW_PROCESS_ITEM ADD (TRACE_MESSAGE_TMP
							NCLOB)
							GO
							UPDATE LSW_PROCESS_ITEM SET TRACE_MESSAGE_TMP =
							TRACE_MESSAGE
							GO
							ALTER TABLE LSW_PROCESS_ITEM DROP COLUMN
							TRACE_MESSAGE
							GO
							ALTER TABLE LSW_PROCESS_ITEM RENAME COLUMN TRACE_MESSAGE_TMP TO
							TRACE_MESSAGE
						
GO


							ALTER TABLE LSW_USR ADD (OLD_PASSWORDS_TMP NCLOB)
							GO
							UPDATE LSW_USR SET OLD_PASSWORDS_TMP = OLD_PASSWORDS
							GO
							ALTER TABLE
							LSW_USR DROP COLUMN OLD_PASSWORDS
							GO
							ALTER TABLE LSW_USR RENAME COLUMN OLD_PASSWORDS_TMP TO OLD_PASSWORDS
						
GO


                            DROP INDEX IDX_SHORT_NAME
                        
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_SHORT_NAME') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_SHORT_NAME ON LSW_PROJECT("SHORT_NAME")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_ENV_VAR_TYPE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_ENV_VAR_TYPE(
"ENV_VAR_TYPE_ID" NUMBER(2,0) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ENV_VART_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_ENV_VART_PK ON LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_ENV_VART_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_ENV_VAR_TYPE ADD CONSTRAINT LSWC_ENV_VART_PK
    PRIMARY KEY("ENV_VAR_TYPE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



ALTER  TABLE LSW_ENV_VAR 
ADD (
"ENV_VAR_TYPE_ID" NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE
)
GO




							DROP INDEX LSWC_PXFER_OWNER
							GO
							CREATE INDEX LSWC_PXFER_OWNER ON LSW_PERF_DATA_TRANSFER("CLAIMED_BY",1)
							GO
                        
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_REPORT_RBG_LINK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_REPORT_RBG_LINK(
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"RBG_REF" CHAR(36) NOT NULL ENABLE,
"REPORT_ID" CHAR(36) NOT NULL ENABLE,
"REPORT_RBG_LINK_ID" CHAR(36) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_REP_RBG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_REP_RBG_PK ON LSW_REPORT_RBG_LINK("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_REP_RBG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_REPORT_RBG_LINK ADD CONSTRAINT LSWC_REP_RBG_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_REP_RBG_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_REP_RBG_PK3 ON LSW_REPORT_RBG_LINK(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


		
/* END of phase ProcUpgradeTo720 */


		
/* START of phase UpgradeInitialDataToTeamworks720 */
    
			
							BEGIN
							INSERT INTO LSW_USR_GRP_XREF
							(GROUP_ID,GROUP_NAME,DISPLAY_NAME,PARENT_GROUP_ID,GROUP_TYPE,DESCRIPTION)
							VALUES(16, 'tw_allusers_temp', 'tw_allusers', null, 3, 'Group for
							all people.');
							UPDATE LSW_USR_GRP_XREF SET PARENT_GROUP_ID = 16 WHERE PARENT_GROUP_ID
							= 14;

							UPDATE LSW_FAVORITE SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_PARTICIPANT_GROUP SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_USR_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;

							UPDATE LSW_GRP_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_GRP_GRP_MEM_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;

							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;
							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;
							UPDATE LSW_GRP_GRP_MEM_EXPLODED_XREF SET MEM_PATH = REPLACE(MEM_PATH,
							'#14#', '#16#');

							DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID = 14;
							UPDATE LSW_USR_GRP_XREF SET GROUP_NAME = 'tw_allusers' WHERE GROUP_NAME
							= 'tw_allusers_temp';

							UPDATE LSW_TASK SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE LSW_TASK SET GROUP_ID = -16 WHERE GROUP_ID = -14;

							COMMIT;
							END;
						
GO


							BEGIN
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, 0, 'General');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(1, 1, 'ILOG Rules Server');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(2, 2, 'ICI Web Service URL');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(3, 3, 'ICI Connector Name');
							COMMIT;
							END;
						
GO


							BEGIN
							UPDATE LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.inbox'
							WHERE SEARCH_ID=1;
							UPDATE LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.history'
							WHERE SEARCH_ID=2;
							UPDATE LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.help_reqs' WHERE SEARCH_ID=3;
							UPDATE LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.alerts' WHERE SEARCH_ID=4;
							COMMIT;
							END;
						
GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BPD_INSTANCE_VARIABLES') AND UPPER(column_name)= UPPER('STRING_VALUE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "STRING_VALUE" NVARCHAR2(512)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BPD_INSTANCE_VARIABLES MODIFY "STRING_VALUE" NVARCHAR2(512)';
	END IF ;
  END ;
END ;	

GO


							BEGIN
							INSERT INTO LSW_USR_GRP_XREF(GROUP_ID, GROUP_NAME, DISPLAY_NAME,
							PARENT_GROUP_ID, GROUP_TYPE, DESCRIPTION)
							VALUES(15, 'tw_process_owners', 'tw_process_owners', null, 3, 'Group for
							people with full access to critical path');
							INSERT INTO LSW_USR_GRP_MEM_XREF(USER_ID, GROUP_ID) VALUES(1, 15);
							COMMIT;
							END;
						
GO


		
/* END of phase UpgradeInitialDataToTeamworks720 */


		
/* START of phase UpgradeProjectOwnerToTeamworks720 */
    
			
							BEGIN
							UPDATE LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='23d3ecec-6fdb-4033-9c57-e931aa13761f' AND MASK=127;
							UPDATE LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='14519785-cbb2-466e-a744-99c47aff98c5' AND MASK=127;
							COMMIT;
							END;
						
GO


		
/* END of phase UpgradeProjectOwnerToTeamworks720 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.2.0
 * To Version: Teamworks 7.5.0
 */

    

		
/* START of phase ProcUpgradeTo750 */
    
			
ALTER  TABLE LSW_JAVA_CONNECTOR
DROP (
"ATTACHED_PROCESS_REF" 
)
GO


ALTER  TABLE LSW_WS_CONNECTOR
DROP (
"ATTACHED_PROCESS_REF" 
)
GO


ALTER  TABLE LSW_ILOG_CONNECTOR
DROP (
"ATTACHED_PROCESS_REF" 
)
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_SCA_CONNECTOR') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_SCA_CONNECTOR(
"SCA_CONNECTOR_ID" CHAR(36) NOT NULL ENABLE,
"MODULE_NAME" NVARCHAR2(256),
"EXPORT_NAME" NVARCHAR2(256),
"MODULE_VERSION" NVARCHAR2(32),
"OPERATION_NAME" NVARCHAR2(256),
"IS_ASYNC_INVOCATION" NCHAR(1),
"OPERATION_STYLE" NUMBER(1,0),
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_SCNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_SCNTR_PK ON LSW_SCA_CONNECTOR("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_SCNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_SCA_CONNECTOR ADD CONSTRAINT LSWC_SCNTR_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_SCNTR_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_SCNTR_PK3 ON LSW_SCA_CONNECTOR(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_PROJECT_DEFAULTS 
ADD (
"NAMESPACE" NVARCHAR2(256),
"IS_WBM_ENABLED" NCHAR(1) DEFAULT 'F',
"IS_IID_OPTIMIZED" NCHAR(1) DEFAULT 'F'
)
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_CONTRIBUTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_CONTRIBUTION(
"CONTRIBUTION_ID" CHAR(36) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"FILENAME" NVARCHAR2(1024) DEFAULT ' || '''' ||' ' || '''' || ' NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_NODE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_NODE_PK ON BPM_CONTRIBUTION("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_NODE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_CONTRIBUTION ADD CONSTRAINT BPM_NODE_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_NODE_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_NODE_PK3 ON BPM_CONTRIBUTION(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX_NODE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX_NODE ON BPM_CONTRIBUTION("CONTRIBUTION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX2_NODE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX2_NODE ON BPM_CONTRIBUTION("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_CTRB_PROPERTY') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_CTRB_PROPERTY(
"PROPERTY_ID" CHAR(36) NOT NULL ENABLE,
"CONTRIBUTION_ID" CHAR(36) NOT NULL ENABLE,
"PROP_VALUE" NVARCHAR2(1000),
"PROP_TYPE_CODE" NUMBER(8,0) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CPRP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_CPRP_PK ON BPM_CTRB_PROPERTY("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_CPRP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_CTRB_PROPERTY ADD CONSTRAINT BPM_CPRP_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CPRP_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CPRP_PK3 ON BPM_CTRB_PROPERTY(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CPRP_NUQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CPRP_NUQ ON BPM_CTRB_PROPERTY("CONTRIBUTION_ID","VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX_CPRP') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX_CPRP ON BPM_CTRB_PROPERTY("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_CTRB_DEPENDENCY') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_CTRB_DEPENDENCY(
"CTRB_DEPENDENCY_ID" CHAR(36) NOT NULL ENABLE,
"LIBRARY_NAME" NVARCHAR2(1024) NOT NULL ENABLE,
"CONTRIBUTION_ID" CHAR(36) NOT NULL ENABLE,
"CONTRIBUTION_REF" CHAR(36),
"DEPLOY_WITH" NCHAR(1) DEFAULT ' || '''' ||'T' || '''' || ' NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CDEP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_CDEP_PK ON BPM_CTRB_DEPENDENCY("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_CDEP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_CTRB_DEPENDENCY ADD CONSTRAINT BPM_CDEP_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CDEP_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CDEP_PK3 ON BPM_CTRB_DEPENDENCY(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CDEP_NUQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CDEP_NUQ ON BPM_CTRB_DEPENDENCY("CONTRIBUTION_ID","VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_ARTIFACT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_ARTIFACT(
"ARTIFACT_ID" CHAR(36) NOT NULL ENABLE,
"ART_DATA_UUID" CHAR(36),
"CONTRIBUTION_ID" CHAR(36) NOT NULL ENABLE,
"MEDIA_TYPE" NVARCHAR2(100) DEFAULT ' || '''' ||'application/octet-stream' || '''' || ',
"CHAR_ENCODING" NVARCHAR2(100) DEFAULT ' || '''' ||'UTF-8' || '''' || ',
"LENGTH" NUMBER(19,0),
"FULL_PATH" NVARCHAR2(1024) NOT NULL ENABLE,
"DIGEST" NVARCHAR2(45) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_NPRP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_NPRP_PK ON BPM_ARTIFACT("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_NPRP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_ARTIFACT ADD CONSTRAINT BPM_NPRP_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_NPRP_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_NPRP_PK3 ON BPM_ARTIFACT(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX_ART') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX_ART ON BPM_ARTIFACT("ARTIFACT_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX2_ART') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX2_ART ON BPM_ARTIFACT("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX3_ART') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX3_ART ON BPM_ARTIFACT("FULL_PATH")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_ARTIFACT_DATA') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_ARTIFACT_DATA(
"ART_DATA_ID" CHAR(36) NOT NULL ENABLE,
"ART_DATA" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_ART_DATA_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_ART_DATA_PK ON BPM_ARTIFACT_DATA("ART_DATA_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_ART_DATA_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_ARTIFACT_DATA ADD CONSTRAINT BPM_ART_DATA_PK
    PRIMARY KEY("ART_DATA_ID")';		 
   	END IF ;
  END ;
END ;        

GO



	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_PROC_ARTIFACT_REF') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_PROC_ARTIFACT_REF(
"PROC_ARTIFACT_REF_ID" CHAR(36) NOT NULL ENABLE,
"PROCESS_ID" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_REF" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_ID" CHAR(36) NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PAREF_PK ON BPM_PROC_ARTIFACT_REF("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_PAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_PROC_ARTIFACT_REF ADD CONSTRAINT BPM_PAREF_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PAREF_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_PAREF_PK3 ON BPM_PROC_ARTIFACT_REF(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PAREF_NUQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_PAREF_NUQ ON BPM_PROC_ARTIFACT_REF("PROCESS_ID","ARTIFACT_ID","VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_SNAPSHOT 
ADD (
"IS_STARTED" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE,
"IS_BLA_ACTIVE" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE,
"IS_BLA_INSTALLED" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE,
"IS_TIP_DEPLOYED" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE,
"ACRONYM" NVARCHAR2(64)
)
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_CLS_ARTIFACT_REF') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_CLS_ARTIFACT_REF(
"CLS_ARTIFACT_REF_ID" CHAR(36) NOT NULL ENABLE,
"CLASS_ID" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_REF" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_ID" CHAR(36) NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_CAREF_PK ON BPM_CLS_ARTIFACT_REF("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_CAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_CLS_ARTIFACT_REF ADD CONSTRAINT BPM_CAREF_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CAREF_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CAREF_PK3 ON BPM_CLS_ARTIFACT_REF(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CAREF_NUQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CAREF_NUQ ON BPM_CLS_ARTIFACT_REF("CLASS_ID","ARTIFACT_ID","VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_BPD_ARTIFACT_REF') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_BPD_ARTIFACT_REF(
"BPD_ARTIFACT_REF_ID" CHAR(36) NOT NULL ENABLE,
"BPD_ID" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_REF" CHAR(36) NOT NULL ENABLE,
"ARTIFACT_ID" CHAR(36) NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_BAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_BAREF_PK ON BPM_BPD_ARTIFACT_REF("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_BAREF_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_BPD_ARTIFACT_REF ADD CONSTRAINT BPM_BAREF_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_BAREF_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_BAREF_PK3 ON BPM_BPD_ARTIFACT_REF(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_BAREF_NUQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_BAREF_NUQ ON BPM_BPD_ARTIFACT_REF("BPD_ID","ARTIFACT_ID","VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_MON_MODEL_DATA') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_MON_MODEL_DATA(
"MM_ID" CHAR(36) NOT NULL ENABLE,
"NAME" NVARCHAR2(128) NOT NULL ENABLE,
"DATA" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_MMDATA_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_MMDATA_PK ON BPM_MON_MODEL_DATA("MM_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_MMDATA_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_MON_MODEL_DATA ADD CONSTRAINT BPM_MMDATA_PK
    PRIMARY KEY("MM_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_MMDATA_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_MMDATA_UQ ON BPM_MON_MODEL_DATA("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_SERVER_CAPABILITY') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_SERVER_CAPABILITY(
"SERVER_CAPABILITY_ID" CHAR(36) NOT NULL ENABLE,
"SERVER_ID" CHAR(36) NOT NULL ENABLE,
"CAPABILITY_TYPE" NVARCHAR2(64) NOT NULL ENABLE,
"CAPABILITY_VERSION" NVARCHAR2(64) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_CAPABILITY_TYPE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_CAPABILITY_TYPE(
"CAPABILITY_TYPE_ID" NUMBER(2,0) NOT NULL ENABLE,
"CAPABILITY_CONFIG_ID" NVARCHAR2(64) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"IS_OPTIONAL" NCHAR(1) DEFAULT ' || '''' ||'0' || '''' || '
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_SVRCAP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_SVRCAP_PK ON LSW_SERVER_CAPABILITY("SERVER_CAPABILITY_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_SVRCAP_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER_CAPABILITY ADD CONSTRAINT LSWC_SVRCAP_PK
    PRIMARY KEY("SERVER_CAPABILITY_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_CAP_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_CAP_TYPE_PK ON LSW_CAPABILITY_TYPE("CAPABILITY_TYPE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_CAP_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_CAPABILITY_TYPE ADD CONSTRAINT LSWC_CAP_TYPE_PK
    PRIMARY KEY("CAPABILITY_TYPE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_SVRCAP_FK1' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER_CAPABILITY ADD CONSTRAINT LSWC_SVRCAP_FK1
	FOREIGN KEY("SERVER_ID")
	REFERENCES LSW_SERVER("SERVER_ID")
	';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_CAPCFG_ID') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_CAPCFG_ID ON LSW_CAPABILITY_TYPE("CAPABILITY_CONFIG_ID")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX8_LSW_TASK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX8_LSW_TASK ON LSW_TASK("BPD_INSTANCE_ID","STATUS","PRIORITY_ID","GROUP_ID","USER_ID")';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_BRANCH 
ADD (
"ACRONYM" NVARCHAR2(64)
)
GO




							BEGIN
							INSERT INTO LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY) VALUES(
							COALESCE( ((SELECT MAX(SEARCH_ID) FROM LSW_SAVED_SEARCHES)+1), 1
							), 'IBM.DEFAULTALLTASKSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byTask" first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							INSERT INTO LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY)
							VALUES( COALESCE( ((SELECT MAX(SEARCH_ID) FROM
							LSW_SAVED_SEARCHES)+1), 2 ), 'IBM.DEFAULTALLPROCESSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance" first-sort="" second-sort=""> <constraints /> <results> <column name="instanceName" column-type="instance"/> <column name="instanceStatus" column-type="instance"/> <column name="bpdName" column-type="instance"/> <column name="instanceId" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							COMMIT;
							END;
						
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_ILOG_DECISION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_ILOG_DECISION(
"ILOG_DECISION_ID" CHAR(36) NOT NULL ENABLE,
"DEFINITION" BLOB NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ILDT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_ILDT_PK ON LSW_ILOG_DECISION("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_ILDT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_ILOG_DECISION ADD CONSTRAINT LSWC_ILDT_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ILDT_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_ILDT_PK3 ON LSW_ILOG_DECISION(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_SNAPSHOT 
ADD (
"ACTIVATED_ON" TIMESTAMP
)
GO




BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_TIMING_INTERVAL') AND UPPER(column_name)= UPPER('INTERVAL_START');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL MODIFY "INTERVAL_START" NVARCHAR2(8)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL MODIFY "INTERVAL_START" NVARCHAR2(8)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_TIMING_INTERVAL') AND UPPER(column_name)= UPPER('INTERVAL_END');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL MODIFY "INTERVAL_END" NVARCHAR2(8)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL MODIFY "INTERVAL_END" NVARCHAR2(8)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_TIMING_INTERVAL_BOUND') AND UPPER(column_name)= UPPER('BOUND');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL_BOUND MODIFY "BOUND" NVARCHAR2(8)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_TIMING_INTERVAL_BOUND MODIFY "BOUND" NVARCHAR2(8)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_TRACKED_VARIABLE') AND UPPER(column_name)= UPPER('TYPE');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_TRACKED_VARIABLE MODIFY "TYPE" NVARCHAR2(8)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_TRACKED_VARIABLE MODIFY "TYPE" NVARCHAR2(8)';
	END IF ;
  END ;
END ;	

GO


							BEGIN
							INSERT INTO LSW_CAPABILITY_TYPE (CAPABILITY_TYPE_ID,
							CAPABILITY_CONFIG_ID, NAME, DESCRIPTION, IS_OPTIONAL) VALUES(0,
							'Extended', 'BPM Extended', 'Description of BPM Extended
							Capability', 'F');
							INSERT INTO LSW_PRI_KEY(TABLE_ID, HIGH_KEY)
							VALUES('LSW_CAPABILITY_TYPE', 1000);
							COMMIT;
							END;
                        
GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_DYNAMIC_GROUP') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP MODIFY "NAME" NVARCHAR2(128)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP MODIFY "NAME" NVARCHAR2(128)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR_GRP_XREF') AND UPPER(column_name)= UPPER('DISPLAY_NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "DISPLAY_NAME" NVARCHAR2(128)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "DISPLAY_NAME" NVARCHAR2(128)';
	END IF ;
  END ;
END ;	

GO


							INSERT INTO LSW_USR_GRP_MEM_XREF("GROUP_ID", "USER_ID") VALUES(11, 1)							      						      
						
GO


		
/* END of phase ProcUpgradeTo750 */

		
/* START of phase ProcUpgradeTo750Phase2 */
    
			
GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BRANCH') AND UPPER(column_name)= UPPER('NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BRANCH MODIFY "NAME" NVARCHAR2(64) NOT NULL ENABLE';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BRANCH MODIFY "NAME" NVARCHAR2(64)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_BRANCH') AND UPPER(column_name)= UPPER('ACRONYM');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_BRANCH MODIFY "ACRONYM" NVARCHAR2(64) NOT NULL ENABLE';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_BRANCH MODIFY "ACRONYM" NVARCHAR2(64)';
	END IF ;
  END ;
END ;	

GO


GO


GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_SNAPSHOT') AND UPPER(column_name)= UPPER('ACRONYM');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SNAPSHOT MODIFY "ACRONYM" NVARCHAR2(64) NOT NULL ENABLE';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_SNAPSHOT MODIFY "ACRONYM" NVARCHAR2(64)';
	END IF ;
  END ;
END ;	

GO


GO


                            DROP INDEX IDX_SHORT_NAME
                        
GO






BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX3_BRANCH') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX IDX3_BRANCH ON LSW_BRANCH("PROJECT_ID","ACRONYM")';	
   	END IF ;
  END ;
END ;    	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX5_SNAPSHOT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX IDX5_SNAPSHOT ON LSW_SNAPSHOT("PROJECT_ID","ACRONYM")';	
   	END IF ;
  END ;
END ;    	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_SHORT_NAME') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_SHORT_NAME ON LSW_PROJECT("SHORT_NAME")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_ICMCASE_CONNECTOR') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_ICMCASE_CONNECTOR(
"ICMCASE_CONNECTOR_ID" CHAR(36) NOT NULL ENABLE,
"DEFINITION" BLOB NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ICNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_ICNTR_PK ON LSW_ICMCASE_CONNECTOR("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_ICNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_ICMCASE_CONNECTOR ADD CONSTRAINT LSWC_ICNTR_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_ICNTR_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_ICNTR_PK3 ON LSW_ICMCASE_CONNECTOR(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


		
/* END of phase ProcUpgradeTo750Phase2 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: TeamWorks 7.5.0
 * To Version: Teamworks 7.5.1
 */

    

		
/* START of phase ProcUpgradeTo751 */
    
			
ALTER  TABLE LSW_BPD 
ADD (
"TYPE" NUMBER(2,0)
)
GO


ALTER  TABLE LSW_BPD 
ADD (
"ROOT_BPD_ID" CHAR(36)
)
GO


ALTER  TABLE LSW_BPD 
ADD (
"PARENT_BPD_ID" CHAR(36)
)
GO


ALTER  TABLE LSW_BPD 
ADD (
"PARENT_FLOW_OBJECT_ID" NVARCHAR2(128)
)
GO










ALTER  TABLE LSW_PROCESS 
ADD (
"XML_DATA" BLOB
)
GO




ALTER  TABLE LSW_BPD 
ADD (
"XML_DATA" BLOB
)
GO




ALTER  TABLE LSW_SCA_CONNECTOR 
ADD (
"LAST_SYNCHRONIZED" NVARCHAR2(128)
)
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSW_DGRPC_FK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count != 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT DROP CONSTRAINT LSW_DGRPC_FK';
    END IF ;
  END ;
END ;

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_DPLPKG_FK1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count != 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DEPLOYMENT_PACKAGE DROP CONSTRAINT LSWC_DPLPKG_FK1';
    END IF ;
  END ;
END ;

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_DYNAMIC_GROUP_DEPENDENCY') AND UPPER(column_name)= UPPER('PARENT_GROUP_ID');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY MODIFY "PARENT_GROUP_ID" NUMBER(12,0) NOT NULL ENABLE';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY MODIFY "PARENT_GROUP_ID" NUMBER(12,0)';
	END IF ;
  END ;
END ;	

GO


GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_DYNAMIC_GROUP_DEPENDENCY') AND UPPER(column_name)= UPPER('CHILD_GROUP_ID');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY MODIFY "CHILD_GROUP_ID" NUMBER(12,0) NOT NULL ENABLE';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY MODIFY "CHILD_GROUP_ID" NUMBER(12,0)';
	END IF ;
  END ;
END ;	

GO


GO












BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSW_DGRPC_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_CONSTRAINT ADD CONSTRAINT LSW_DGRPC_FK
	FOREIGN KEY("DYNAMIC_GROUP_ID")
	REFERENCES LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DPLPKG_FK1' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DEPLOYMENT_PACKAGE ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_RT_UAD_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_RT_USER_ATTRIBUTE_DEF ADD CONSTRAINT LSWC_RT_UAD_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_FAV_TRK_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_FAVORITE ADD CONSTRAINT LSWC_FAV_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DGRP_TRK_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP ADD CONSTRAINT LSWC_DGRP_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DGRP_DEP_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DYNAMIC_GROUP_DEPENDENCY ADD CONSTRAINT LSWC_DGRP_DEP_FK
	FOREIGN KEY("PARENT_GROUP_ID")
	REFERENCES LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_DEP_SS_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_DEPLOYMENT ADD CONSTRAINT LSWC_DEP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_E_VAR_VAL_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_ENV_VAR_VAL ADD CONSTRAINT LSWC_E_VAR_VAL_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_SF_SS_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SMART_FOLDER ADD CONSTRAINT LSWC_SF_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


ALTER  TABLE LSW_PROJECT_DEFAULTS 
ADD (
"PARTICIPANT_REF" CHAR(36)
)
GO




ALTER  TABLE LSW_INST_MSG_EXCL 
ADD (
"WAIT_ID" NUMBER(20,0)
)
GO




ALTER  TABLE LSW_PARTICIPANT 
ADD (
"CURRENCY_CODE" NCHAR(3)
)
GO




							CREATE OR REPLACE PROCEDURE LSW_ERASE_TASK (taskId IN
							NUMBER) AS

							BEGIN
							DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
							    SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g JOIN LSW_TASK t ON (g.GROUP_ID = ABS(t.GROUP_ID) AND t.TASK_ID = taskId) WHERE g.GROUP_TYPE = 2);
							DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
							    SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g JOIN LSW_TASK t ON (g.GROUP_ID = ABS(t.GROUP_ID) AND t.TASK_ID = taskId) WHERE g.GROUP_TYPE = 2);
							DELETE FROM LSW_TASK_ADDR WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK_NARR WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK_FILE WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK_IPF_DATA WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK_EXTACT_DATA WHERE TASK_ID = taskId;
							DELETE FROM LSW_TASK WHERE TASK_ID = taskId;

							EXCEPTION
							WHEN OTHERS THEN
							ROLLBACK;
							END;
                        
GO


							CREATE OR REPLACE PROCEDURE LSW_BPD_INSTANCE_DELETE (bpdInstanceId IN
							NUMBER) AS
							taskId NUMBER;

							CURSOR tasksToDelete (bpdInstanceId IN NUMBER) IS
							SELECT TASK_ID
							FROM LSW_TASK
							WHERE BPD_INSTANCE_ID = bpdInstanceId;

							PROCEDURE eraseBpdInstance (bpdInstanceId in NUMBER) AS
							BEGIN
							DELETE FROM LSW_BPD_INSTANCE_DOC_PROPS WHERE DOC_ID IN (SELECT DOC_ID FROM LSW_BPD_INSTANCE_DOCUMENTS WHERE BPD_INSTANCE_ID = bpdInstanceId);
							DELETE FROM LSW_BPD_INSTANCE_DOCUMENTS WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_BPD_INSTANCE_VARIABLES WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_BPD_INSTANCE_DATA WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_BPD_NOTIFICATION WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_RUNTIME_ERROR WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_BPD_INSTANCE WHERE BPD_INSTANCE_ID = bpdInstanceId;
							DELETE FROM LSW_INST_MSG_INCL WHERE BPD_INSTANCE_ID = bpdInstanceId; 
							DELETE FROM LSW_INST_MSG_EXCL WHERE BPD_INSTANCE_ID = bpdInstanceId;
							END;

							BEGIN
							OPEN tasksToDelete(bpdInstanceId);
							LOOP
							FETCH tasksToDelete INTO taskId;
							EXIT WHEN tasksToDelete%NOTFOUND;
							LSW_ERASE_TASK(taskId);
							END LOOP;

							eraseBpdInstance(bpdInstanceId);

							EXCEPTION
							WHEN OTHERS THEN
							ROLLBACK;
							END;
                        
GO


ALTER  TABLE LSW_USR_GRP_XREF 
ADD (
"GROUP_STATE" NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE
)
GO




INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE")
    VALUES(15, 'Followed', '70')
						
GO


							BEGIN
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(4, 4, 'ICM Server');
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(5, 5, 'Server Property');
							COMMIT;
							END;
						
GO


		
/* END of phase ProcUpgradeTo751 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: TeamWorks 7.5.1
 * To Version: Teamworks 8.0.0
 */

    

	    
/* START of phase ProcUpgradeTo800 */
    
			
INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(7, '7', 'Sametime Server')
                        
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_REGISTRATION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_REGISTRATION(
"REG_ID" CHAR(36) NOT NULL ENABLE,
"PC_URL" NVARCHAR2(256) NOT NULL ENABLE,
"PC_ID" CHAR(36) NOT NULL ENABLE,
"PC_NAME" NVARCHAR2(128) NOT NULL ENABLE,
"PC_VER" NVARCHAR2(16) NOT NULL ENABLE,
"REG_USER" NVARCHAR2(256) NOT NULL ENABLE,
"REGISTERED_ON" TIMESTAMP,
"ACTIVE" NCHAR(1) DEFAULT ' || '''' ||'T' || '''' || ' NOT NULL ENABLE,
"IS_INITIATOR" NCHAR(1) DEFAULT ' || '''' ||'T' || '''' || ' NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_REGISTRATION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_REGISTRATION_PK ON BPM_REGISTRATION("REG_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_REGISTRATION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_REGISTRATION ADD CONSTRAINT BPM_REGISTRATION_PK
    PRIMARY KEY("REG_ID")';		 
   	END IF ;
  END ;
END ;        

GO



	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_REPOSITORY_LOG') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_REPOSITORY_LOG(
"REPOSITORY_LOG_ID" CHAR(36) NOT NULL ENABLE,
"PROJECT_ID" CHAR(36),
"ACTION_TYPE" NUMBER(8,0) NOT NULL ENABLE,
"TARGET_ITEM_NAME" NVARCHAR2(198),
"REPOSITORY_UUID" CHAR(36),
"CREATED_BY_USER" NVARCHAR2(256),
"CREATED" TIMESTAMP,
"PROPERTIES" NCLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_REPOSITORY_LOG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_REPOSITORY_LOG_PK ON BPM_REPOSITORY_LOG("REPOSITORY_LOG_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_REPOSITORY_LOG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_REPOSITORY_LOG ADD CONSTRAINT BPM_REPOSITORY_LOG_PK
    PRIMARY KEY("REPOSITORY_LOG_ID")';		 
   	END IF ;
  END ;
END ;        

GO



	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_SHARED_TK_USAGES') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_SHARED_TK_USAGES(
"SHARED_TK_USAGE_ID" CHAR(36) NOT NULL ENABLE,
"PROJECT_ID" CHAR(36) NOT NULL ENABLE,
"SNAPSHOT_ID" CHAR(36) NOT NULL ENABLE,
"REGISTRATION_ID" CHAR(36) NOT NULL ENABLE,
"DEPENDENT_PROJECT_NAME" NVARCHAR2(128) NOT NULL ENABLE,
"IS_TOOLKIT" NCHAR(1) DEFAULT ' || '''' ||'F' || '''' || ' NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_TK_USAGES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_TK_USAGES_PK ON BPM_SHARED_TK_USAGES("SHARED_TK_USAGE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_SHARED_TK_USAGES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_TK_USAGES ADD CONSTRAINT BPM_SHARED_TK_USAGES_PK
    PRIMARY KEY("SHARED_TK_USAGE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



ALTER  TABLE LSW_PROJECT 
ADD (
"IS_SHARED" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE
)
GO


ALTER  TABLE LSW_PROJECT 
ADD (
"SHARED_BY_USER_ID" NUMBER(12,0)
)
GO


ALTER  TABLE LSW_PROJECT 
ADD (
"SHARED_ON" TIMESTAMP
)
GO








	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_SHARED_OBJECT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_SHARED_OBJECT(
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL ENABLE,
"OBJECT_ID" CHAR(36) NOT NULL ENABLE,
"DEFINITION_VERSION" NUMBER(12,0) NOT NULL ENABLE,
"CLASS_VERSION_ID" CHAR(36) NOT NULL ENABLE,
"BPD_INSTANCE_ID" NUMBER(12,0),
"TASK_ID" NUMBER(12,0),
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_SHARED_OBJECT_INSTANCE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_SHARED_OBJECT_INSTANCE(
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL ENABLE,
"INSTANCE_VERSION" NUMBER(12,0) NOT NULL ENABLE,
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL ENABLE,
"JDATA" BLOB,
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_SHARED_OBJECT_VALUE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_SHARED_OBJECT_VALUE(
"VALUE_ID" CHAR(36) NOT NULL ENABLE,
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL ENABLE,
"FIELD_PATH" NVARCHAR2(1024) NOT NULL ENABLE,
"VALUE" BLOB,
"PRIOR_VALUE" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_OBJECT_PK ON BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_SHARED_OBJECT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJECT_PK
    PRIMARY KEY("DEFINITION_VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_INSTANCE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_OBJECT_INSTANCE_PK ON BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_SHARED_OBJECT_INSTANCE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT_INSTANCE ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_PK
    PRIMARY KEY("INSTANCE_VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_VALUE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_OBJECT_VALUE_PK ON BPM_SHARED_OBJECT_VALUE("VALUE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_SHARED_OBJECT_VALUE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_PK
    PRIMARY KEY("VALUE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_SHARED_OBJECT_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJECT_FK
	FOREIGN KEY("CLASS_VERSION_ID")
	REFERENCES LSW_CLASS("VERSION_ID")
	';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_SHARED_OBJ_TO_INSTANCE' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_SHARED_OBJ_TO_TASK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJ_TO_TASK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_OBJECT_UQ ON BPM_SHARED_OBJECT("OBJECT_ID","DEFINITION_VERSION")';	
   	END IF ;
  END ;
END ;    	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_SHARED_OBJECT_INSTANCE_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT_INSTANCE ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_FK
	FOREIGN KEY("DEFINITION_VERSION_ID")
	REFERENCES BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_INSTANCE_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SHARED_OBJECT_INSTANCE_UQ ON BPM_SHARED_OBJECT_INSTANCE("DEFINITION_VERSION_ID","INSTANCE_VERSION")';	
   	END IF ;
  END ;
END ;    	

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_SHARED_OBJECT_VALUE_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
	FOREIGN KEY("INSTANCE_VERSION_ID")
	REFERENCES BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


ALTER  TABLE LSW_PROJECT 
ADD (
"IS_GOVERNED" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE
)
GO




ALTER  TABLE LSW_PO_VERSIONS 
ADD (
"PO_ORIG_VERSION_ID" CHAR(36)
)
GO


ALTER  TABLE LSW_PO_VERSIONS 
ADD (
"ORIG_LAST_MODIFIED_BY_USER" NVARCHAR2(50)
)
GO


ALTER  TABLE LSW_PO_VERSIONS 
ADD (
"ORIG_LAST_MODIFIED" TIMESTAMP
)
GO








ALTER  TABLE LSW_SNAPSHOT 
ADD (
"STATUS" NVARCHAR2(64) DEFAULT 'New' NOT NULL ENABLE
)
GO




ALTER  TABLE LSW_TASK 
ADD (
"COLLABORATION" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE
)
GO




ALTER  TABLE LSW_DEPLOYMENT 
ADD (
"STATUS" NVARCHAR2(64)
)
GO


ALTER  TABLE LSW_DEPLOYMENT 
ADD (
"STATE" NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE
)
GO


ALTER  TABLE LSW_DEPLOYMENT 
ADD (
"STATUS_DESCRIPTION" NVARCHAR2(250)
)
GO








	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_SNAPSHOT_STATUS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_SNAPSHOT_STATUS(
"STATUS_ID" CHAR(36) NOT NULL ENABLE,
"STATUS" NVARCHAR2(64) NOT NULL ENABLE,
"IS_SYSTEM" NCHAR(1) DEFAULT ' || '''' ||'F' || '''' || ' NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SNAPSHOT_STATUS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_SNAPSHOT_STATUS_PK ON BPM_SNAPSHOT_STATUS("STATUS_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_SNAPSHOT_STATUS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_SNAPSHOT_STATUS ADD CONSTRAINT BPM_SNAPSHOT_STATUS_PK
    PRIMARY KEY("STATUS_ID")';		 
   	END IF ;
  END ;
END ;        

GO



							BEGIN
								INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea1', 'New', 'T');
								INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea2', 'Rejected', 'T');
								INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea3', 'Validated', 'T');
								INSERT INTO BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea7', 'Released', 'T');
							COMMIT;
							END;
						
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW(
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"IS_TEMPLATE" NCHAR(1),
"LAYOUT" BLOB,
"PALETTE_ICON" CHAR(36),
"PREVIEW_IMAGE" CHAR(36),
"HAS_LABEL" NCHAR(1),
"LABEL_POSITION" NUMBER(2,0),
"NINE_SLICE_X1_COORD" NUMBER(5,0),
"NINE_SLICE_X2_COORD" NUMBER(5,0),
"NINE_SLICE_Y1_COORD" NUMBER(5,0),
"NINE_SLICE_Y2_COORD" NUMBER(5,0),
"EMIT_BOUNDARY" NCHAR(1),
"LOAD_JS_FUNCTION" NCLOB,
"UNLOAD_JS_FUNCTION" NCLOB,
"VIEW_JS_FUNCTION" NCLOB,
"CHANGE_JS_FUNCTION" NCLOB,
"COLLABORATION_JS_FUNCTION" NCLOB,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CH_VIEW_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_CH_VIEW_PK ON BPM_COACH_VIEW("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_CH_VIEW_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW ADD CONSTRAINT BPM_CH_VIEW_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_CH_VIEW_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_CH_VIEW_PK3 ON BPM_COACH_VIEW(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_BINDING_TYPE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_BINDING_TYPE(
"COACH_VIEW_BINDING_TYPE_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"IS_LIST" NCHAR(1),
"CLASS_ID" CHAR(36),
"SEQ" NUMBER(12,0),
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_BIND_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_BIND_PK ON BPM_COACH_VIEW_BINDING_TYPE("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_BIND_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT BPM_VIEW_BIND_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_BIND_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_BIND_PK3 ON BPM_COACH_VIEW_BINDING_TYPE(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_VIEW_BIND') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_VIEW_BIND ON BPM_COACH_VIEW_BINDING_TYPE("SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_CONFIG_OPTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_CONFIG_OPTION(
"COACH_VIEW_CONFIG_OPTION_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"IS_LIST" NCHAR(1),
"PROPERTY_TYPE" NVARCHAR2(64),
"LABEL" NVARCHAR2(64),
"CLASS_ID" CHAR(36),
"PROCESS_ID" CHAR(36),
"SEQ" NUMBER(12,0),
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_CONFIG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_CONFIG_PK ON BPM_COACH_VIEW_CONFIG_OPTION("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_CONFIG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT BPM_VIEW_CONFIG_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_CONFIG_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_CONFIG_PK3 ON BPM_COACH_VIEW_CONFIG_OPTION(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_VIEW_CONFIG') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_VIEW_CONFIG ON BPM_COACH_VIEW_CONFIG_OPTION("SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_RESOURCE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_RESOURCE(
"COACH_VIEW_RESOURCE_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"FILE_PATH" NVARCHAR2(255),
"IE_CONDITION" NVARCHAR2(1024),
"MEDIA_QUERY" NVARCHAR2(1024),
"ASSET_UUID" CHAR(36),
"SEQ" NUMBER(12,0),
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_RES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_RES_PK ON BPM_COACH_VIEW_RESOURCE("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_RES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT BPM_VIEW_RES_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_RES_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_RES_PK3 ON BPM_COACH_VIEW_RESOURCE(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_VIEW_RES') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_VIEW_RES ON BPM_COACH_VIEW_RESOURCE("SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_INLINE_SCRIPT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_INLINE_SCRIPT(
"COACH_VIEW_INLINE_SCRIPT_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"SCRIPT_TYPE" NVARCHAR2(64),
"SCRIPT_BLOCK" NCLOB,
"SEQ" NUMBER(12,0),
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_SCRIPT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_SCRIPT_PK ON BPM_COACH_VIEW_INLINE_SCRIPT("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_SCRIPT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT BPM_VIEW_SCRIPT_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_SCRIPT_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_SCRIPT_PK3 ON BPM_COACH_VIEW_INLINE_SCRIPT(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_VIEW_SCRIPT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_VIEW_SCRIPT ON BPM_COACH_VIEW_INLINE_SCRIPT("SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACHNG') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACHNG(
"COACHNG_ID" CHAR(36) NOT NULL ENABLE,
"TITLE" NVARCHAR2(64),
"LAYOUT_DATA" BLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_COACHNG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_COACHNG_PK ON BPM_COACHNG("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_COACHNG_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACHNG ADD CONSTRAINT BPM_COACHNG_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_COACHNG_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_COACHNG_PK3 ON BPM_COACHNG(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACHNG_BOUNDARY_EVENT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACHNG_BOUNDARY_EVENT(
"COACHNG_BOUNDARY_EVENT_ID" CHAR(36) NOT NULL ENABLE,
"COACHNG_ID" CHAR(36) NOT NULL ENABLE,
"SEQ" NUMBER(12,0) NOT NULL ENABLE,
"END_STATE_ID" NVARCHAR2(128) NOT NULL ENABLE,
"EVENT_LABEL" NCLOB,
"VIEW_PATH" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_COACHNG_BE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_COACHNG_BE_PK ON BPM_COACHNG_BOUNDARY_EVENT("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_COACHNG_BE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT BPM_COACHNG_BE_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_COACHNG_BE_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_COACHNG_BE_PK3 ON BPM_COACHNG_BOUNDARY_EVENT(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_COACHNG_BE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_COACHNG_BE ON BPM_COACHNG_BOUNDARY_EVENT("COACHNG_ID","SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_LOCAL_RES') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_LOCAL_RES(
"COACH_VIEW_LOCAL_RES_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL ENABLE,
"SEQ" NUMBER(12,0),
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_LOC_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_LOC_PK ON BPM_COACH_VIEW_LOCAL_RES("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_LOC_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_LOCAL_RES ADD CONSTRAINT BPM_VIEW_LOC_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_LOC_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_LOC_PK3 ON BPM_COACH_VIEW_LOCAL_RES(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_COACH_VIEW_AMD_DEP') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_COACH_VIEW_AMD_DEP(
"COACH_VIEW_AMD_DEP_ID" CHAR(36) NOT NULL ENABLE,
"COACH_VIEW_ID" CHAR(36) NOT NULL ENABLE,
"MODULE_ID" NVARCHAR2(1024),
"FUNCTION_ARGUMENT" NVARCHAR2(255),
"SEQ" NUMBER(12,0),
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_AMD_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_VIEW_AMD_PK ON BPM_COACH_VIEW_AMD_DEP("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_VIEW_AMD_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT BPM_VIEW_AMD_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_VIEW_AMD_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_VIEW_AMD_PK3 ON BPM_COACH_VIEW_AMD_DEP(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_VIEW_AMD') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_VIEW_AMD ON BPM_COACH_VIEW_AMD_DEP("SEQ")';	
   	END IF ;
  END ;
END ;    	

GO


							BEGIN
								INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE") VALUES(16, 'Tagged', 71);
								INSERT INTO LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE") VALUES(17, 'Collaboration', 72);
							COMMIT;
							END;
						
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_PROJECT_SUBSCRIPTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_PROJECT_SUBSCRIPTION(
"PROJECT_SUBSCRIPTION_ID" CHAR(36) NOT NULL ENABLE,
"REGISTRATION_ID" CHAR(36) NOT NULL ENABLE,
"PROJECT_ID" CHAR(36) NOT NULL ENABLE,
"SUBSCRIBED_BY" NUMBER(12,0) NOT NULL ENABLE,
"SUBSCRIBED_ON" DATE NOT NULL ENABLE,
"STATUS" NVARCHAR2(64),
"ACTIVE" NCHAR(1) DEFAULT ' || '''' ||'F' || '''' || ' NOT NULL ENABLE,
"SHARED_BY_USER_ID" NVARCHAR2(256),
"SHARED_ON" DATE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PROJECT_SUBSCRIPTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PROJECT_SUBSCRIPTION_PK ON BPM_PROJECT_SUBSCRIPTION("PROJECT_SUBSCRIPTION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_PROJECT_SUBSCRIPTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT BPM_PROJECT_SUBSCRIPTION_PK
    PRIMARY KEY("PROJECT_SUBSCRIPTION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('PROJECT_ID_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX PROJECT_ID_UQ ON BPM_PROJECT_SUBSCRIPTION("PROJECT_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_PROJECT_SUBSCRIBED') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_PROJECT_SUBSCRIBED(
"PROJECT_SUBSCRIBED_ID" CHAR(36) NOT NULL ENABLE,
"REGISTRATION_ID" CHAR(36) NOT NULL ENABLE,
"PROJECT_ID" CHAR(36) NOT NULL ENABLE,
"SUBSCRIBED_BY" NVARCHAR2(256) NOT NULL ENABLE,
"SUBSCRIBED_ON" DATE NOT NULL ENABLE,
"LAST_MODIFICATION" DATE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PROJECT_SUBSCRIBED_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PROJECT_SUBSCRIBED_PK ON BPM_PROJECT_SUBSCRIBED("PROJECT_SUBSCRIBED_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_PROJECT_SUBSCRIBED_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_PROJECT_SUBSCRIBED ADD CONSTRAINT BPM_PROJECT_SUBSCRIBED_PK
    PRIMARY KEY("PROJECT_SUBSCRIBED_ID")';		 
   	END IF ;
  END ;
END ;        

GO



ALTER  TABLE LSW_TASK 
ADD (
"EXPERT_PARTICIPANT_REF" NUMBER(19,0)
)
GO




ALTER  TABLE LSW_SNAPSHOT 
ADD (
"LAST_MODIFIED" DATE DEFAULT CURRENT_TIMESTAMP NOT NULL ENABLE
)
GO


GO


ALTER  TABLE LSW_SNAPSHOT 
ADD (
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) DEFAULT 1 NOT NULL ENABLE
)
GO






ALTER  TABLE LSW_TASK 
ADD (
"AT_RISK_DATE" DATE
)
GO




ALTER  TABLE LSW_CLASS 
ADD (
"SHARED" NCHAR(1)
)
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_USR_AVATAR') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_USR_AVATAR(
"USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"USER_AVATAR_IMAGE" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_USR_AVATAR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_USR_AVATAR_PK ON BPM_USR_AVATAR("USER_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_USR_AVATAR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_USR_AVATAR ADD CONSTRAINT LSWC_USR_AVATAR_PK
    PRIMARY KEY("USER_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_USR_AVATAR_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_USR_AVATAR ADD CONSTRAINT LSWC_USR_AVATAR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES LSW_USR_XREF("USER_ID")
	';
   	END IF ;
  END ;
END ;	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_TASK_ACTIVITY_MEASURES') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_TASK_ACTIVITY_MEASURES(
"TASK_MEASURES_ID" NUMBER(15,0) NOT NULL ENABLE,
"CREATED_BY_BPD_FLOW_OBJECT_ID" NVARCHAR2(512) NOT NULL ENABLE,
"USER_ID" NUMBER(12,0),
"COMPLETION_COUNT" NUMBER(8,0) NOT NULL ENABLE,
"AVG_COMPLETION_TIME" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('TASK_MEASURES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX TASK_MEASURES_PK ON BPM_TASK_ACTIVITY_MEASURES("TASK_MEASURES_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('TASK_MEASURES_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_ACTIVITY_MEASURES ADD CONSTRAINT TASK_MEASURES_PK
    PRIMARY KEY("TASK_MEASURES_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('TASK_MEASURES_UC') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX TASK_MEASURES_UC ON BPM_TASK_ACTIVITY_MEASURES("CREATED_BY_BPD_FLOW_OBJECT_ID","USER_ID")';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_SERVER 
ADD (
"IS_ENCRYPTED" NCHAR(1) DEFAULT '0'
)
GO




BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_SERVER') AND UPPER(column_name)= UPPER('PASSWORD');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER MODIFY "PASSWORD" NVARCHAR2(250)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_SERVER MODIFY "PASSWORD" NVARCHAR2(250)';
	END IF ;
  END ;
END ;	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_OSLC_PROVIDER') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_OSLC_PROVIDER(
"PROVIDER_ID" CHAR(36) NOT NULL ENABLE,
"NAME" NVARCHAR2(256),
"URL" NVARCHAR2(1024) NOT NULL ENABLE,
"DATA" NCLOB,
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_OSLC_PROVIDER') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_OSLC_PROVIDER ON BPM_OSLC_PROVIDER("PROVIDER_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_OSLC_PROVIDER') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_OSLC_PROVIDER ADD CONSTRAINT LSWC_OSLC_PROVIDER
    PRIMARY KEY("PROVIDER_ID")';		 
   	END IF ;
  END ;
END ;        

GO



	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_PC_IDX_ACTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_PC_IDX_ACTION(
"ACTION_ID" CHAR(36) NOT NULL ENABLE,
"PO_ID" CHAR(36) NOT NULL ENABLE,
"PO_TYPE" NUMBER(8,0) NOT NULL ENABLE,
"USER_ACTION" NUMBER(8,0) NOT NULL ENABLE,
"CREATED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE,
"CREATED_ON" DATE NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PC_IDX_ACTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PC_IDX_ACTION_PK ON BPM_PC_IDX_ACTION("ACTION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_PC_IDX_ACTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_PC_IDX_ACTION ADD CONSTRAINT BPM_PC_IDX_ACTION_PK
    PRIMARY KEY("ACTION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_TASK_MARKERS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_TASK_MARKERS(
"MARKER_ID" NUMBER(12,0) NOT NULL ENABLE,
"TASK_ID" NUMBER(12,0),
"MARKER_TYPE" NUMBER(12,0) NOT NULL ENABLE,
"CREATOR" NUMBER(12,0) NOT NULL ENABLE,
"TARGET_USER" NUMBER(12,0) NOT NULL ENABLE,
"MARKER_COMMENT" BLOB,
"CREATED_DATE" DATE NOT NULL ENABLE,
"BPD_INSTANCE_ID" NUMBER(12,0)
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPMC_TASK_MARKERS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPMC_TASK_MARKERS ON BPM_TASK_MARKERS("MARKER_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPMC_TASK_MARKERS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_MARKERS ADD CONSTRAINT BPMC_TASK_MARKERS
    PRIMARY KEY("MARKER_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPMC_MARKER_TO_TASK_ID_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_MARKERS ADD CONSTRAINT BPMC_MARKER_TO_TASK_ID_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPMC_MARKER_TO_BPD_ID_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_MARKERS ADD CONSTRAINT BPMC_MARKER_TO_BPD_ID_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO



								CREATE TABLE "BPM_PCS_TASK"("TASKID" NUMBER(19) NOT NULL,
               						"VERSION" VARCHAR2(5) NOT NULL,
               						"ROW_VERSION" NUMBER(10) NOT NULL,
               						"TASKTYPE" NUMBER(10) NOT NULL,
               						"TASKSUSPENDED" NUMBER(1) NOT NULL,
               						"CANCELLED" NUMBER(1) NOT NULL,
               						"NEXTFIRETIME" NUMBER(19) NOT NULL,
               						"STARTBYINTERVAL" VARCHAR2(254),
               						"STARTBYTIME" NUMBER(19),
               						"VALIDFROMTIME" NUMBER(19),
               						"VALIDTOTIME" NUMBER(19),
               						"REPEATINTERVAL" VARCHAR2(254),
               						"MAXREPEATS" NUMBER(10) NOT NULL,
               						"REPEATSLEFT" NUMBER(10) NOT NULL,
               						"TASKINFO" BLOB,
               						"NAME" VARCHAR2(254),
               						"AUTOPURGE" NUMBER(10) NOT NULL,
               						"FAILUREACTION" NUMBER(10),
               						"MAXATTEMPTS" NUMBER(10),
               						"QOS" NUMBER(10),
               						"PARTITIONID" NUMBER(10),
               						"OWNERTOKEN" VARCHAR2(200) NOT NULL,
               						"CREATETIME" NUMBER(19) NOT NULL,
               						PRIMARY KEY ("TASKID") )
								GO

									CREATE INDEX "BPM_PCS_TASK_IDX1" ON "BPM_PCS_TASK" ("TASKID",
              						"OWNERTOKEN")
								GO

								CREATE INDEX "BPM_PCS_TASK_IDX2" ON "BPM_PCS_TASK" ("NEXTFIRETIME" ASC,
               						"REPEATSLEFT",
               						"PARTITIONID")
								GO

								CREATE TABLE "BPM_PCS_TREG" ("REGKEY" VARCHAR2(254) NOT NULL ,
               						"REGVALUE" VARCHAR2(254) ,
               						PRIMARY KEY ( "REGKEY" ))
								GO

								CREATE TABLE "BPM_PCS_LMGR" ("LEASENAME" VARCHAR2(254) NOT NULL,
               						"LEASEOWNER" VARCHAR2(254),
               						"LEASE_EXPIRE_TIME" NUMBER(19),
               						"DISABLED" VARCHAR2(254),
               						PRIMARY KEY ( "LEASENAME" ))
								GO

								CREATE TABLE "BPM_PCS_LMPR" ("LEASENAME" VARCHAR2(254) NOT NULL,
               						"NAME" VARCHAR2(254) NOT NULL,
               						"VALUE" VARCHAR2(254) NOT NULL )
								GO

								CREATE INDEX "BPM_PCS_LMPR_IDX1" ON "BPM_PCS_LMPR" ("LEASENAME","NAME")
								GO

              			
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_PC_INDEXER') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_PC_INDEXER(
"INDEXER_ID" CHAR(36) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"LAST_INDEXED_ON" DATE NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PC_IDEXER_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PC_IDEXER_PK ON BPM_PC_INDEXER("INDEXER_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_PC_IDEXER_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_PC_INDEXER ADD CONSTRAINT BPM_PC_IDEXER_PK
    PRIMARY KEY("INDEXER_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_PC_IDEXER_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_PC_IDEXER_UQ ON BPM_PC_INDEXER("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_EXCEPTION 
ADD (
"ATTACHED_PROCESS_REF" CHAR(36)
)
GO


ALTER  TABLE LSW_EXCEPTION 
ADD (
"FAULT_STYLE" NUMBER(2,0)
)
GO






ALTER  TABLE LSW_RUNTIME_ERROR 
ADD (
"ERROR_CODE" NVARCHAR2(220)
)
GO


ALTER  TABLE LSW_RUNTIME_ERROR 
ADD (
"ERROR_DATA" BLOB
)
GO


ALTER  TABLE LSW_RUNTIME_ERROR 
ADD (
"FAULT_STYLE" NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE
)
GO








	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_STORED_SYMBOL_TABLE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_STORED_SYMBOL_TABLE(
"SYMBOL_TABLE_ID" CHAR(36) NOT NULL ENABLE,
"TASK_ID" NUMBER(12,0) NOT NULL ENABLE,
"STORED_SYMBOL_TABLE" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_STORED_SYMBOL_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_STORED_SYMBOL_PK ON LSW_STORED_SYMBOL_TABLE("SYMBOL_TABLE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_STORED_SYMBOL_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_STORED_SYMBOL_TABLE ADD CONSTRAINT LSWC_STORED_SYMBOL_PK
    PRIMARY KEY("SYMBOL_TABLE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='LSWC_T_SYM_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_STORED_SYMBOL_TABLE ADD CONSTRAINT LSWC_T_SYM_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_T_SYM_TASK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_T_SYM_TASK ON LSW_STORED_SYMBOL_TABLE("TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_ECM_CONNECTOR') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_ECM_CONNECTOR(
"ECM_CONNECTOR_ID" CHAR(36) NOT NULL ENABLE,
"DEFINITION" BLOB NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPMC_ECNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPMC_ECNTR_PK ON BPM_ECM_CONNECTOR("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPMC_ECNTR_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_ECM_CONNECTOR ADD CONSTRAINT BPMC_ECNTR_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPMC_ECNTR_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPMC_ECNTR_PK3 ON BPM_ECM_CONNECTOR(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_CLASS 
ADD (
"LIFETIME" NCHAR(1)
)
GO




	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_BPD_SOAPHEADER') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_BPD_SOAPHEADER(
"BPD_INSTANCE_ID" NUMBER(12,0) NOT NULL ENABLE,
"DATA" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPMC_BPD_SOAP_FK0' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_BPD_SOAPHEADER ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPMC_BPD_SOAP_UQ') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPMC_BPD_SOAP_UQ ON BPM_BPD_SOAPHEADER("BPD_INSTANCE_ID")';	
   	END IF ;
  END ;
END ;    	

GO

						
INSERT INTO LSW_LOCK("LOCK_ID", "DESCRIPTION")
    VALUES('LOG_ADD_LOCK_KEY', 
    'Lock required for adding logs to bpm_repository_log 
and updating timestamp in bpm_project_subscription ')
						
GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR_GRP_XREF') AND UPPER(column_name)= UPPER('GROUP_NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "GROUP_NAME" NVARCHAR2(256)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "GROUP_NAME" NVARCHAR2(256)';
	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_USR_GRP_XREF') AND UPPER(column_name)= UPPER('DISPLAY_NAME');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "DISPLAY_NAME" NVARCHAR2(256)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_USR_GRP_XREF MODIFY "DISPLAY_NAME" NVARCHAR2(256)';
	END IF ;
  END ;
END ;	

GO


GO


ALTER  TABLE LSW_TASK_NARR 
ADD (
"NARRATIVE_RAW" BLOB
)
GO




							UPDATE LSW_SAVED_SEARCHES SET QUERY='<?xml version="1.0" encoding="UTF-8"?><query organization="byTask"  first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="taskClosedDate" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="assignedToRoleDisplayName" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="taskAtRiskTime" column-type="task"/> <column name="taskIsAtRisk" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>' WHERE SEARCH_NAME='IBM.DEFAULTALLTASKSLIST_75'
						
GO


GO


							ALTER TABLE LSW_SYSTEM DROP PRIMARY KEY
							GO
							ALTER TABLE LSW_SYSTEM ADD PROPKEY NVARCHAR2(256)
							GO
							ALTER TABLE LSW_SYSTEM ADD PROPVALUE NVARCHAR2(256)
							GO
							UPDATE LSW_SYSTEM SET PROPKEY = KEY
							GO
							UPDATE LSW_SYSTEM SET PROPVALUE = VALUE
							GO
							ALTER TABLE LSW_SYSTEM MODIFY (PROPKEY NOT NULL ENABLE, PROPVALUE NOT NULL ENABLE)
							GO
							ALTER TABLE LSW_SYSTEM DROP (KEY, VALUE)
							GO
							ALTER TABLE LSW_SYSTEM ADD PRIMARY KEY (PROPKEY)
							GO
						
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX9_LSW_TASK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX9_LSW_TASK ON LSW_TASK("BPD_INSTANCE_ID","TASK_ID","CREATED_BY_BPD_FLOW_OBJECT_ID","STATUS")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_TASK_INDEX') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_TASK_INDEX(
"TASK_ID" NUMBER(12,0) NOT NULL ENABLE,
"MAJOR_EVENT_DATETIME" DATE,
"MINOR_EVENT_DATETIME" DATE,
"TASK_DATA" BLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_TASK_INDEX_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_TASK_INDEX_PK ON BPM_TASK_INDEX("TASK_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_TASK_INDEX_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_INDEX ADD CONSTRAINT BPM_TASK_INDEX_PK
    PRIMARY KEY("TASK_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_TASK_INDEX_FK' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_INDEX ADD CONSTRAINT BPM_TASK_INDEX_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES LSW_TASK("TASK_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_TASK_INDEX_IDX') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_TASK_INDEX_IDX ON BPM_TASK_INDEX("MAJOR_EVENT_DATETIME","TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_TASK_INDEX_JOB') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_TASK_INDEX_JOB(
"INDEX_ID" CHAR(36) NOT NULL ENABLE,
"INDEX_START_TIME" DATE NOT NULL ENABLE,
"INDEX_END_TIME" DATE,
"RECORDS_INDEXED" NUMBER(12,0),
"RESULT_VALUE" NVARCHAR2(256)
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_TASK_INDEX_JOB_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_TASK_INDEX_JOB_PK ON BPM_TASK_INDEX_JOB("INDEX_ID","INDEX_START_TIME")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_TASK_INDEX_JOB_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_TASK_INDEX_JOB ADD CONSTRAINT BPM_TASK_INDEX_JOB_PK
    PRIMARY KEY("INDEX_ID","INDEX_START_TIME")';		 
   	END IF ;
  END ;
END ;        

GO





BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX1_BPM_TASK_MARKERS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX1_BPM_TASK_MARKERS ON BPM_TASK_MARKERS("TARGET_USER","MARKER_TYPE")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX2_BPM_TASK_MARKERS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX2_BPM_TASK_MARKERS ON BPM_TASK_MARKERS("TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_IDX3_NODE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_IDX3_NODE ON BPM_CONTRIBUTION("FILENAME")';	
   	END IF ;
  END ;
END ;    	

GO


							DROP INDEX IDX_PO_VERSIONS
                        	GO
						
                        	DROP INDEX IDX2_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX IDX3_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX IDX4_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX IDX5_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX IDX6_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX IDX7_PO_VERSIONS
                    	
GO


GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX_PO_VERSIONS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX_PO_VERSIONS ON LSW_PO_VERSIONS("PO_TYPE","BRANCH_ID","START_SEQ_NUM","END_SEQ_NUM","PO_VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX2_PO_VERSIONS') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX2_PO_VERSIONS ON LSW_PO_VERSIONS("BRANCH_ID","END_SEQ_NUM")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_UXREF_UQ2') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_UXREF_UQ2 ON LSW_USR_XREF("USER_ID","USER_NAME")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_STATUS_INDEX1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_STATUS_INDEX1 ON LSW_TASK_STATUS_CODES("NAME")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_STATUS_INDEX2') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_STATUS_INDEX2 ON LSW_TASK_STATUS_CODES("STATUS_VALUE")';	
   	END IF ;
  END ;
END ;    	

GO


                        	DROP INDEX LSWC_SNPSHT_ID_NUQ
                    	
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('INDEX1_LSW_BPD_INST') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX INDEX1_LSW_BPD_INST ON LSW_BPD_INSTANCE("SNAPSHOT_ID","BPD_INSTANCE_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('INDEX2_LSW_BPD_INST') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX INDEX2_LSW_BPD_INST ON LSW_BPD_INSTANCE("EXECUTION_STATUS","BPD_INSTANCE_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('INDEX3_LSW_BPD_INST') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX INDEX3_LSW_BPD_INST ON LSW_BPD_INSTANCE("BPD_INSTANCE_ID","EXECUTION_STATUS","CACHED_BPD_VERSION_ID")';	
   	END IF ;
  END ;
END ;    	

GO


GO


							CREATE OR REPLACE PROCEDURE LSW_HOUSE_KEEPING(modeHK IN NUMBER) AS
							BEGIN
								DECLARE
								TYPE typeStatusArray IS VARRAY(5) OF VARCHAR(2);
								TYPE typeDeleteId IS TABLE OF NUMBER;
								rootTaskId NUMBER;
								taskId NUMBER;
								taskStatus VARCHAR(2);
								CURSOR curRootTask (taskId IN NUMBER) IS SELECT TASK_ID, STATUS FROM LSW_TASK WHERE ORIG_TASK_ID = taskId;
								CURSOR curAllRootTasks IS SELECT DISTINCT ORIG_TASK_ID FROM LSW_TASK;
								i INTEGER;
								statuses typeStatusArray := typeStatusArray();
								deleteIds typeDeleteId := typeDeleteId();
								flgDelete CHAR(1);
								flgStatusExist CHAR(1);
								BEGIN
									IF (modeHK = 1) THEN
										DELETE FROM LSW_TASK_FILE WHERE TASK_ID IN (SELECT TASK_ID FROM LSW_TASK WHERE STATUS IN (91,92));
										DELETE FROM LSW_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM LSW_TASK_FILE) OR FILE_ID NOT IN (SELECT FILE_ID FROM LSW_TASK,LSW_TASK_FILE WHERE LSW_TASK.TASK_ID = LSW_TASK_FILE.TASK_ID);
										DELETE FROM LSW_TASK_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM LSW_FILE) OR TASK_ID NOT IN (SELECT LSW_TASK.TASK_ID FROM LSW_TASK,LSW_TASK_FILE WHERE LSW_TASK.TASK_ID = LSW_TASK_FILE.TASK_ID);
										DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
											SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
										DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
											SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
									ELSIF (modeHK > 1) THEN
										IF (modeHK >= 2) THEN
											statuses.extend;
											statuses(statuses.count) := '91';
											statuses.extend;
											statuses(statuses.count) := '92';
										END IF;
										IF (modeHK >= 3) THEN
											statuses.extend;
											statuses(statuses.count) := '21';
										END IF;
										IF (modeHK >= 4) THEN
											statuses.extend;
											statuses(statuses.count) := '31';
											statuses.extend;
											statuses(statuses.count) := '32';
										END IF;
										OPEN curAllRootTasks;
										LOOP
										FETCH curAllRootTasks INTO rootTaskId;
										EXIT WHEN curAllRootTasks%NOTFOUND;
										flgDelete := 'T';
										deleteIds.delete;
										OPEN curRootTask (rootTaskId);
										<<lblMainLoop>>
										LOOP
											FETCH curRootTask INTO taskId,taskStatus;
											EXIT WHEN curRootTask%NOTFOUND;
											flgStatusExist := 'F';
											FOR i IN statuses.FIRST..statuses.LAST LOOP
												IF (taskStatus = statuses(i)) THEN
													flgStatusExist := 'T';
													EXIT;
												END IF;
											END LOOP;
											IF (flgStatusExist = 'F') THEN
												flgDelete := 'F';
												EXIT lblMainLoop;
											END IF;
											deleteIds.extend;
											deleteIds(deleteIds.count) := taskId;
										END LOOP;
										CLOSE curRootTask;
										IF (flgDelete = 'T') THEN
											FOR i IN deleteIds.FIRST..deleteIds.LAST LOOP
												DELETE FROM LSW_TASK_NARR WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK_FILE WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK_ADDR WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK_IPF_DATA WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK_EXTACT_DATA WHERE TASK_ID = deleteIds(i);
												DELETE FROM LSW_TASK WHERE TASK_ID = deleteIds(i);
											END LOOP;
										END IF;
										END LOOP;
										CLOSE curAllRootTasks;
										DELETE FROM LSW_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM LSW_TASK_FILE);
										DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
											SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
										DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
											SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
									END IF;
								END;
							END;
							GO
							
							CREATE OR REPLACE PROCEDURE LSW_ERASE_TASK (taskId IN NUMBER) AS
							BEGIN
								DELETE FROM LSW_TASK_ADDR WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK_NARR WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK_FILE WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK_IPF_DATA WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK_EXTACT_DATA WHERE TASK_ID = taskId;
								DELETE FROM LSW_TASK WHERE TASK_ID = taskId;
								DELETE FROM LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
									SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
								DELETE FROM LSW_USR_GRP_XREF WHERE GROUP_ID IN (
									SELECT g.GROUP_ID FROM LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
								EXCEPTION
									WHEN OTHERS THEN
										ROLLBACK;
							END;
							GO
						
GO


							BEGIN
							INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
   							VALUES ('dbecd816-afed-47b0-ba92-c13256fcb566', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'System Governance', 'IBM BPM Governance Data and Services', 'TWSYSG', 'T', 'F', 'F');
   							INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
							VALUES ('f757be35-ebca-4e58-a85c-6b34f3c15149', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'Main', 'Main', 'The main branch of the TWSYSG project', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', 256, 'dbecd816-afed-47b0-ba92-c13256fcb566', 'T');
   							COMMIT;
							END;
						
GO


							BEGIN
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(7, 3, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 127);
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(8, 3, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63);
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(9, 4, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63);
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(10, 3, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63);
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(11, 4, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63);
							COMMIT;
							END;
						
GO


							BEGIN
							INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
							VALUES ('4b3882d9-e886-4f08-9d0c-078ebda719b9', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'Content Management', 'IBM BPM Content Management Data, Services and Coach views.', 'SYSCM', 'T', 'F', 'F');
   							INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)							
							VALUES ('4961c615-3524-4196-90da-93c49d237009', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'Main', 'Main', 'The main branch of the SYSCM project', '29dbc7ff-aace-481a-ba72-be56c0180448', 256, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 'T');
   							COMMIT;
							END;
						
GO


							BEGIN
							INSERT INTO LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
							VALUES ('b691179d-e7a4-4a27-b89b-f2263d0280e7', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'Coaches', 'IBM BPM System Coaches', 'SYSC', 'T', 'F', 'F');
   							INSERT INTO LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)							
							VALUES ('50f91713-f1c4-4859-897f-89720db5dc3e', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 'Main', 'Main', 'The main branch of the SYSC project', 'b10f8fa8-75a6-47e4-899c-b5e876169c68', 256, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 'T');
   							COMMIT;
							END;
						
GO


							BEGIN
							INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(6, 6, 'ECM Server');
							COMMIT;
							END;
						
GO


		
/* END of phase ProcUpgradeTo800 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: BPM 8.0.0
 * To Version: BPM 8.0.1
 */

    

		
/* START of phase ProcUpgradeTo801 */
    
			
ALTER  TABLE LSW_UCA 
ADD (
"UCA_EVENT_TYPE_REF" NUMBER(2,0)
)
GO


ALTER  TABLE LSW_UCA 
ADD (
"VARIABLE_REF" CHAR(36)
)
GO


ALTER  TABLE LSW_UCA 
ADD (
"IMPLEMENTATION_TYPE" NVARCHAR2(80)
)
GO








	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_UCA_EVENT_TYPE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_UCA_EVENT_TYPE(
"UCA_EVENT_TYPE_ID" NUMBER(2,0) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_UCA_EVENT_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_UCA_EVENT_TYPE_PK ON BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_UCA_EVENT_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_UCA_EVENT_TYPE ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY("UCA_EVENT_TYPE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



							BEGIN
							INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, 0, 'Timer');
							INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(1, 1, 'Message');							
							INSERT INTO BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(2, 2, 'Content');	
							COMMIT;
							END;
						
GO


ALTER  TABLE LSW_MANAGED_ASSET 
ADD (
"IS_DOCUMENTATION_FILE" NCHAR(1) DEFAULT 'F' NOT NULL ENABLE
)
GO




INSERT INTO LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(8, '8', 'Connections Server')
                        
GO


ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD (
"IS_VALIDATE_BOUNDARY_EVENT" NCHAR(1) DEFAULT 'F'
)
GO


ALTER  TABLE BPM_COACHNG_BOUNDARY_EVENT 
ADD (
"FIRE_VALIDATION" NUMBER(1,0) DEFAULT 0
)
GO






	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_GOVERNANCE_EVENT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_GOVERNANCE_EVENT(
"EVENT_TYPE_ID" CHAR(36) NOT NULL ENABLE,
"EVENT_TYPE" NUMBER(8,0) NOT NULL ENABLE,
"EVENT_TYPE_NAME" NVARCHAR2(198) NOT NULL ENABLE,
"GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL ENABLE,
"GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL ENABLE,
"GOV_DEFAULT_PROCESS_TYPE" NUMBER(8,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_GOVERNANCE_ASSIGNMENT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_GOVERNANCE_ASSIGNMENT(
"ASSIGNMENT_ID" CHAR(36) NOT NULL ENABLE,
"PROJECT_ID" CHAR(36) NOT NULL ENABLE,
"EVENT_TYPE_ID" CHAR(36) NOT NULL ENABLE,
"GOV_SNAPSHOT_ID" CHAR(36) NOT NULL ENABLE,
"GOV_PROCESS_ID" CHAR(36) NOT NULL ENABLE,
"GOV_PROCESS_TYPE" NUMBER(8,0) NOT NULL ENABLE,
"ACTIVE" NCHAR(1) DEFAULT ' || '''' ||'T' || '''' || ' NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_GOV_DEFAULTS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_GOV_DEFAULTS_PK ON BPM_GOVERNANCE_EVENT("EVENT_TYPE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_GOV_DEFAULTS_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_GOVERNANCE_EVENT ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY("EVENT_TYPE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_GOVERNANCE_ASSIGNMENT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_GOVERNANCE_ASSIGNMENT_PK ON BPM_GOVERNANCE_ASSIGNMENT("ASSIGNMENT_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_GOVERNANCE_ASSIGNMENT_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY("ASSIGNMENT_ID")';		 
   	END IF ;
  END ;
END ;        

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name='BPM_GOVERNANCE_ASSIGNMENT_FK1' AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );
    IF (v_table_count = 0) THEN
      EXECUTE IMMEDIATE  'ALTER TABLE BPM_GOVERNANCE_ASSIGNMENT ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE';
   	END IF ;
  END ;
END ;	

GO


							BEGIN
								INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE, EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID, GOV_DEFAULT_PROCESS_TYPE) VALUES('dbecd816-afed-47b0-ba92-c13256fcb568', 0, 'Installation Requested', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', 'b0d87b96-5044-4390-b0f5-4ba05d63bc28', 25);
								INSERT INTO BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE, EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID, GOV_DEFAULT_PROCESS_TYPE) VALUES('dbecd816-afed-47b0-ba92-c13256fcb569', 1, 'Snapshot Status Change', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', '291536f1-aa21-4650-8ac9-c62eaa3fa110', 25);
							COMMIT;
							END;
						
GO


DROP TABLE LSW_ORG_CHART
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_EVENT_SUBSCRIPTION') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_EVENT_SUBSCRIPTION(
"EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL ENABLE,
"EVENT_SUBSCRIPTION_TYPE_ID" NUMBER(2,0) NOT NULL ENABLE,
"SERVER_NAME" NVARCHAR2(256),
"EVENT_CLASS" NVARCHAR2(256),
"OBJECT_TYPE_ID" NVARCHAR2(256),
"OBJECT_TYPE_ID_DISPLAY_NAME" NVARCHAR2(256),
"EVENT_TYPE" NVARCHAR2(256),
"INCLUDE_SUB_TYPE" NCHAR(1) DEFAULT ' || '''' ||'F' || '''' || ',
"PROCESS_REF" CHAR(36),
"PARTICIPANT_REF" CHAR(36),
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('BPM_EVENT_SUBSCRIPTION_TYPE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE BPM_EVENT_SUBSCRIPTION_TYPE(
"EVENT_SUBSCRIPTION_TYPE_ID" NUMBER(2,0) NOT NULL ENABLE,
"NAME" NVARCHAR2(64) NOT NULL ENABLE,
"DESCRIPTION" NCLOB
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_EVENT_SUBSCRIPTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_EVENT_SUBSCRIPTION_PK ON BPM_EVENT_SUBSCRIPTION("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_EVENT_SUBSCRIPTION_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_BPM_EVT_SUBN_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX LSWC_BPM_EVT_SUBN_TYPE_PK ON BPM_EVENT_SUBSCRIPTION_TYPE("EVENT_SUBSCRIPTION_TYPE_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('LSWC_BPM_EVT_SUBN_TYPE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE BPM_EVENT_SUBSCRIPTION_TYPE ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY("EVENT_SUBSCRIPTION_TYPE_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_EVENT_SUBSCRIPTION_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_EVENT_SUBSCRIPTION_PK3 ON BPM_EVENT_SUBSCRIPTION(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_EVENT_SUBSCRIPTION_IDX1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_EVENT_SUBSCRIPTION_IDX1 ON BPM_EVENT_SUBSCRIPTION("EVENT_SUBSCRIPTION_TYPE_ID","EVENT_TYPE","OBJECT_TYPE_ID","INCLUDE_SUB_TYPE")';	
   	END IF ;
  END ;
END ;    	

GO



							BEGIN
							INSERT INTO BPM_EVENT_SUBSCRIPTION_TYPE (EVENT_SUBSCRIPTION_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, 0, 'ECM');
							COMMIT;
							END;
						
GO


	BEGIN
		DECLARE
		v_table_count NUMBER;
  	BEGIN
    	select count(*) into v_table_count from all_objects where object_type='TABLE' and object_name = UPPER('LSW_STAY_ON_PAGE') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') ) ;    
	    IF (v_table_count = 0) THEN 
	    EXECUTE IMMEDIATE  'CREATE  TABLE LSW_STAY_ON_PAGE(
"STAY_ON_PAGE_ID" CHAR(36) NOT NULL ENABLE,
"GUID" NVARCHAR2(128) NOT NULL ENABLE,
"VERSION_ID" CHAR(36) NOT NULL ENABLE,
"LAST_MODIFIED" DATE NOT NULL ENABLE,
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) NOT NULL ENABLE
)';
    END IF ;
    END ;
    END ;
    
GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_STAY_ON_PAGE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE UNIQUE INDEX BPM_STAY_ON_PAGE_PK ON LSW_STAY_ON_PAGE("VERSION_ID")';		
   	END IF ;
  END ;
END ;      

GO



BEGIN
DECLARE
v_table_count NUMBER;       
  BEGIN
    select count(*) into v_table_count from all_constraints where constraint_name = UPPER('BPM_STAY_ON_PAGE_PK') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'ALTER TABLE LSW_STAY_ON_PAGE ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY("VERSION_ID")';		 
   	END IF ;
  END ;
END ;        

GO



BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_STAY_ON_PAGE_PK3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_STAY_ON_PAGE_PK3 ON LSW_STAY_ON_PAGE(GUID)';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE LSW_BPD 
ADD (
"TEMPLATE_ID" CHAR(36)
)
GO




ALTER  TABLE LSW_BPD_PARAMETER 
ADD (
"IS_READ_ONLY" NCHAR(1) DEFAULT 'F'
)
GO




ALTER  TABLE BPM_COACH_VIEW 
ADD (
"VALIDATE_JS_FUNCTION" NCLOB
)
GO




ALTER  TABLE LSW_FAVORITE 
ADD (
"CACHED_EVENT_SUB_VERSION_ID" CHAR(36)
)
GO


ALTER  TABLE LSW_FAVORITE 
ADD (
"EVENT_SOURCE_ID" NVARCHAR2(128)
)
GO






							BEGIN
							INSERT INTO LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(12, 4, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 5);
							COMMIT;
							END;
						
GO


ALTER  TABLE BPM_COACH_VIEW 
ADD (
"USE_URL_BINDING" NCHAR(1) DEFAULT 'F'
)
GO




ALTER  TABLE LSW_BLUEPRINT_SUBSCRIPTION 
ADD (
"LAST_MODIFIED" DATE DEFAULT CURRENT_TIMESTAMP NOT NULL ENABLE
)
GO


GO


ALTER  TABLE LSW_BLUEPRINT_SUBSCRIPTION 
ADD (
"LAST_MODIFIED_BY_USER_ID" NUMBER(12,0) DEFAULT 1 NOT NULL ENABLE
)
GO






ALTER  TABLE LSW_WEB_SERVICE 
ADD (
"TARGET_NAMESPACE" NVARCHAR2(512)
)
GO




ALTER  TABLE LSW_WEB_SERVICE 
ADD (
"TARGET_NAMESPACE_SCHEME" NVARCHAR2(64)
)
GO




ALTER  TABLE LSW_SNAPSHOT 
ADD (
"TIP_DEPLOYMENT_IN_PROGRESS" NCHAR(1) DEFAULT 'F'
)
GO




ALTER  TABLE BPM_TASK_INDEX_JOB 
ADD (
"INDEX_LAST_PURGE_TIME" DATE
)
GO




ALTER  TABLE BPM_COACH_VIEW_CONFIG_OPTION 
ADD (
"GROUP_NAME" NVARCHAR2(64)
)
GO




							BEGIN
							INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON, ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
							VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), '29dbc7ff-aace-481a-ba72-be56c0180448', '4961c615-3524-4196-90da-93c49d237009', '4b3882d9-e886-4f08-9d0c-078ebda719b9', 256, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1);
   							COMMIT;
							END;
						
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('BPM_SHARED_OBJECT_IDX1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX BPM_SHARED_OBJECT_IDX1 ON BPM_SHARED_OBJECT("TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO


							BEGIN
							INSERT INTO LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON, ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
							VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d', 1, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 'e01d46a5-6dc9-4545-9940-7e843777321d', '50f91713-f1c4-4859-897f-89720db5dc3e', 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 256, to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), to_date('01/01/1969 17:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1);
   							UPDATE LSW_BRANCH SET TIP_SNAPSHOT_ID='e01d46a5-6dc9-4545-9940-7e843777321d' WHERE BRANCH_ID='50f91713-f1c4-4859-897f-89720db5dc3e';
   							COMMIT;
							END;
						
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('IDX6_SNAPSHOT') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX IDX6_SNAPSHOT ON LSW_SNAPSHOT("BRANCH_ID","IS_ARCHIVED","CREATED_ON")';	
   	END IF ;
  END ;
END ;    	

GO


ALTER  TABLE BPM_TASK_INDEX 
ADD (
"DELETED_DATETIME" DATE
)
GO


ALTER TABLE BPM_TASK_INDEX DROP CONSTRAINT BPM_TASK_INDEX_FK
                        
GO




GO


		
/* END of phase ProcUpgradeTo801 */

	